Page MenuHomePhabricator

Add .mp3 to the list of accepted file types on Wikimedia Commons uploads
Closed, ResolvedPublic

Description

In late 2016, Linux distros started adding decoding support for MP3 meaning this format is freely decodable.

Event Timeline

Dispenser created this task.Apr 6 2017, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2017, 6:44 PM

Any links which explain the legal situation for "Linux distributions"?

Revent added a subscriber: Revent.Apr 11 2017, 4:49 PM

The enwiki article claims the last US patent on mp3 expires on 16 April 2017, though it's not referenced other than to the patents themselves.

Hi everyone! Wikimedia Legal has been analyzing this issue and we can provide you with an update once that it is done.

Nick added a subscriber: Nick.Apr 11 2017, 5:08 PM

I've no issue in Commons supporting MP3 files, but if Legal is happy with the situation and support is to be turned on, could it be done with a suitable degree of planning, to allow the Commons community time to set up appropriate systems to identify and handle copyright violations.

I've no issue in Commons supporting MP3 files, but if Legal is happy with the situation and support is to be turned on, could it be done with a suitable degree of planning, to allow the Commons community time to set up appropriate systems to identify and handle copyright violations.

T132650: Copyright detection (acoustic fingerprint matching) for audio files

MaxSem added a subscriber: MaxSem.Apr 17 2017, 5:21 PM
brion added a subscriber: brion.May 19 2017, 7:17 AM

Note that with the TimedMediaHandler support now getting merged, enabling this in production will mean setting $wgTmhEnableMp3Uploads to true in CommonSettings.php.

Fedora has had decode support since 2016 and added encode support weeks ago. The format is Free now. I filed this so we could accept files as soon as possible—with or without legal approving a TimedMediaHandler backend.

brion added a comment.May 20 2017, 7:26 AM

We obviously won't accept uploads until legal signs off, regardless of the front end features. Have patience. :)

TheDJ added a subscriber: TheDJ.Jun 14 2017, 8:28 AM

@brion I suggest we set wgTmhEnableMp3Uploads to false in WMF configurations, so that the rest of the world doesn't have to wait for Wikimedia..

revi added a subscriber: revi.Jul 5 2017, 1:15 AM
Elitre added a subscriber: Elitre.Jul 21 2017, 4:05 PM

Note that legal review is complete now, there doesn't seem to be any blocker.

The legal sign-off: T120288#3316046.

kaldari closed this task as Resolved.Nov 30 2017, 10:06 PM
kaldari claimed this task.

Done.